<bugID>233746<Summary>install directory picker doesn't allow user entry - must browse</Summary><Description>User-Agent:       
Build Identifier: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.6) Gecko/20040113

If you wish to install to a directory other than the default (c:\program
files\Mozilla Firefox), you cannot enter this directly into the edit box on the
"Browse for Folder" dialog.  If you do, the "OK" button remains disabled.  You
must instead browse through the directory tree to the location where you wish to
install.  This has the effect of requiring any directory other than the default
install directory to already exist.

Reproducible: Always
Steps to Reproduce:
1.  Run the Firefox installer.
2.  Click "Next" to get through the initial dialog and the license agreement.
3.  Select "Custom" at the Setup Type screen, then click "Next".
4.  At the Install Folder screen, click "Browse".  The Browse for Folder dialog
will appear.
5.  Enter something in the dialog box.

Actual Results:  
The "OK" button remained disabled even after the directory where I wanted to
install Firefox had been entered.

Expected Results:  
The "OK" button should be enabled.</Description></bugID>